I tried to compile KDE 4 kdebase from trunk using the "Build Guide for KDE on openSUSE" ( checked out from SVN on 13.07.2008 ) and it has NetwokManager as an optional dependency.
I'm using OpenSUSE 11 which has NetworkManager 0.7 ( for which I installed the devel package) but cmake is unable to find it when compiling kdebase. From what I could see Solid for KDE 4 can use both NetworkManager 0.6 and 0.7 but I have no idea as to why it doesn't recognize the 0.7 installed with OpenSUSE 11.
I don't have any experience with cmake so maybe someone has an idea about this or can take a look at it.
Thanks.